from django import template
from django.db import models

register = template.Library()


@register.filter
def get_block_octopus_person_list(block):
    from district.models import DistrictOctopusPersonPage

    filter = (
        models.Q(originating_groups__name=block.value["group_shortcut"])
        if "group_shortcut" in block.value
        else (
            models.Q(
                originating_teams__name=block.value["team_shortcut"],
                originating_role__in=block.value["roles"].split(","),
            )
            if block.value["roles"]
            else models.Q(originating_teams__name=block.value["team_shortcut"])
        )
    )

    return (
        DistrictOctopusPersonPage.objects.filter(filter)
        .order_by("person__order", "title")
        # Hacky, but should work all of the time with our current members.
        .distinct("person__order", "title")
        .live()
        .all()
    )
